Package be.fgov.ehealth.dics.protocol.v5

# Class NoGenericPrescriptionReasonType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.NoGenericPrescriptionReasonType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class NoGenericPrescriptionReasonType extends Object implements Serializable

Java class for NoGenericPrescriptionReasonType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NoGenericPrescriptionReasonType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Description" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
           </sequence>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoGenericPrescriptionReasonType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `ConsultTextType`
  `getDescription()`
  Gets the value of the description property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setDescription(ConsultTextType value)`
  Sets the value of the description property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoGenericPrescriptionReasonType

    public NoGenericPrescriptionReasonType()

- ## Method Details

  - ### getDescription

    public ConsultTextType getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `ConsultTextType`

  - ### setDescription

    public void setDescription(ConsultTextType value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`